package com.tzld.piaoquan.featurestools.service.impl;

import com.tzld.piaoquan.featurestools.dao.mapper.CreativeVideoSummarizeMapper;
import com.tzld.piaoquan.featurestools.dao.mapper.CreativeVideoUnderstanderMapper;
import com.tzld.piaoquan.featurestools.model.po.CreativeVideoSummarize;
import com.tzld.piaoquan.featurestools.model.po.CreativeVideoUnderstander;
import com.tzld.piaoquan.featurestools.service.CreativeVideoSummarizeService;
import com.tzld.piaoquan.featurestools.service.VideoUnderstandService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class CreativeVideoSummarizeServiceImpl implements CreativeVideoSummarizeService {

    @Autowired
    private CreativeVideoUnderstanderMapper creativeVideoUnderstanderMapper;

    @Autowired
    private CreativeVideoSummarizeMapper creativeVideoSummarizeMapper;


    @Transactional
    public void saveRes(CreativeVideoUnderstander creativeVideoUnderstander, CreativeVideoSummarize hookCreativeVideoSummarize,
                        CreativeVideoSummarize valueCreativeVideoSummarize, CreativeVideoSummarize urgencyCreativeVideoSummarize) {
        creativeVideoSummarizeMapper.insertSelective(hookCreativeVideoSummarize);
        creativeVideoSummarizeMapper.insertSelective(valueCreativeVideoSummarize);
        creativeVideoSummarizeMapper.insertSelective(urgencyCreativeVideoSummarize);
        creativeVideoUnderstander.setStatus(3);
        creativeVideoUnderstanderMapper.updateByPrimaryKeySelective(creativeVideoUnderstander);
    }
}
